SAS_PORT_ADD_PHY(9)

NAME
sas_port_add_phy - add another phy to a port to form a wide port

SYNOPSIS

void sas_port_add_phy(struct sas_port * port, struct sas_phy * phy);

ARGUMENTS

port
    port to add the phy to

phy
    phy to add

DESCRIPTION

When a port is initially created, it is empty (has no phys). All ports must have at least one phy to operated, and all wide ports must have at least two. The current code makes no difference between ports and wide ports, but the only object that can be connected to a remote device is a port, so ports must be formed on all devices with phys if they're connected to anything.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT